/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.test;

import fhm.edu.fem.calc.objects.matrix.Matrix;
import fhm.edu.fem.constants.SMatrixConstants;

/**
 * Class Description:
 *		Test Class - S-Matrices
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class TestSMatrices {

    public static void main(String[] args) {
        
        Matrix sMatrix = null;
        
        Matrix S3 = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_QUADRAT, 3);
        System.err.println(S3);
        Matrix S2 = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_QUADRAT, 2);
        System.err.println(S2);
        
//        // Display all S-Matrices
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_TRIANGLE, 1);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_TRIANGLE, 2);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_TRIANGLE, 3);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_TRIANGLE, 4);
//        System.out.println(sMatrix);
//        
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_PARALLELOGRAM, 1);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_PARALLELOGRAM, 2);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_PARALLELOGRAM, 3);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_LINEAR, SMatrixConstants.FIGURE_PARALLELOGRAM, 4);
//        System.out.println(sMatrix);
//        
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_TRIANGLE, 1);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_TRIANGLE, 2);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_TRIANGLE, 3);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_TRIANGLE, 4);
//        System.out.println(sMatrix);
//        
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_PARALLELOGRAM, 1);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_PARALLELOGRAM, 2);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_PARALLELOGRAM, 3);
//        System.out.println(sMatrix);
//        sMatrix = SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_PARALLELOGRAM, 4);
//        System.out.println(sMatrix);
        
        
    }
}
